## choose-mirror 2.126

=== debian/changelog ===
choose-mirror (2.126) unstable; urgency=medium

  * Team upload

  [ Adam D. Barratt ]
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Catalan (ca.po) by victor dargallo
  * Estonian (et.po) by Kristjan Räts
  * Marathi (mr.po) by omwani
  * Dutch (nl.po) by Frans Spiesschaert
  * Romanian (ro.po) by ThinkRoot

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 22 Aug 2024 20:35:40 +0100

choose-mirror (2.125) unstable; urgency=medium

  * Team upload

  [ Aurelien Jarno ]
  * Update Mirrors.masterlist.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Oct 2023 11:27:34 +0200

choose-mirror (2.124) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Romanian (ro.po) by NicolaeFericitu

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 21:11:13 +0200

## choose-mirror 2.127

=== debian/changelog ===
choose-mirror (2.127) unstable; urgency=medium

  * Team upload

  * Update Mirrors.masterlist.
  * Change comment for translators in templates file, to improve
    understandability and fix dead link.

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Oct 2024 22:48:21 +0200

## choose-mirror 2.128

=== debian/changelog ===
choose-mirror (2.128) unstable; urgency=medium

  * Team upload

  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Persian (fa.po) by peylight
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 22:24:38 +0100

## choose-mirror 2.129

=== debian/changelog ===
choose-mirror (2.129) unstable; urgency=medium

  * Team upload

  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Belarusian (be.po) by vics
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 04 Feb 2025 22:25:29 +0100

## choose-mirror 2.130

=== debian/changelog ===
choose-mirror (2.130) unstable; urgency=medium

  * Team upload

  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 09:28:23 +0200

## choose-mirror 2.130trisquel8

=== debian/changelog ===
choose-mirror (2.130trisquel8) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 24 Apr 2025 07:47:41 +0000

## choose-mirror 2.131

=== debian/changelog ===
choose-mirror (2.131) unstable; urgency=medium

  * Update Mirrors.masterlist.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 May 2025 01:28:43 +0200

## choose-mirror 2.132

=== debian/changelog ===
choose-mirror (2.132) unstable; urgency=medium

  * Team upload

  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * Russian (ru.po) by vladiruzz
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 25 Jun 2025 20:36:25 +0200

## choose-mirror 2.132devuan1

=== debian/changelog ===
choose-mirror (2.132devuan1) unstable; urgency=medium

  * Merge tag 2.132.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 28 Jun 2025 07:32:53 +0100

choose-mirror (2.131devuan1) unstable; urgency=medium

  * Merge tag 2.131.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 13 May 2025 07:32:53 +0100

choose-mirror (2.130devuan1) unstable; urgency=medium

  * Merge tag 2.130.
  * Update Mirrors.masterlist.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 01 Apr 2025 09:54:05 +0100

choose-mirror (2.129devuan1) unstable; urgency=medium

  * Merge tag 2.129.
  * Update Mirrors.masterlist.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 05 Feb 2025 07:15:31 +0000

choose-mirror (2.128devuan1) unstable; urgency=medium

  * Merge tag 2.128.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 30 Nov 2024 07:34:16 +0000

choose-mirror (2.127devuan1) unstable; urgency=medium

  * Merge tag 2.127.
  * Update Mirrors.masterlist.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Oct 2024 07:36:53 +0100

choose-mirror (2.126devuan1) unstable; urgency=medium

  * Merge tag 2.126.
  * Update Mirrors.masterlist.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Aug 2024 07:27:23 +0100

choose-mirror (2.125devuan1) unstable; urgency=medium

  * Update Mirrors.masterlist.
  * d/po: fixup and remerge.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Oct 2023 20:04:12 +0100

choose-mirror (2.124devuan1) unstable; urgency=medium

  * Merge tag 2.124.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 27 Sep 2023 19:55:46 +0100

## choose-mirror 2.132trisquel9

=== debian/changelog ===
choose-mirror (2.132trisquel9) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 12:47:06 +0000

## choose-mirror 2.133

=== Makefile ===
export USE_HTTP=1
export USE_HTTPS=1
#export USE_FTP=1
USE_FTP_MANUAL=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS?=-g
CFLAGS+=-Wall -D_GNU_SOURCE -DARCH_TEXT='"$(DEB_HOST_ARCH)"'
templates=debian/choose-mirror-bin.templates-in

ifeq (1,${USE_HTTP})
CFLAGS:=$(CFLAGS) -DWITH_HTTP
templates:=$(templates) debian/choose-mirror-bin.templates.http-in
endif
ifeq (1,${USE_HTTPS})
CFLAGS:=$(CFLAGS) -DWITH_HTTPS
templates:=$(templates) debian/choose-mirror-bin.templates.https-in
endif
ifeq (1,${USE_FTP})
CFLAGS:=$(CFLAGS) -DWITH_FTP
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.sel-in
endif
ifeq (1,${USE_FTP_MANUAL})
CFLAGS:=$(CFLAGS) -DWITH_FTP_MANUAL
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
endif
templates:=$(templates) debian/choose-mirror-bin.templates.both-in

OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=choose-mirror
LIBS=-ldebconfclient -ldebian-installer
STRIP=strip

# Derivative distributions may want to change these.
MIRRORLISTURL=https://mirror-master.debian.org/status/Mirrors.masterlist
MASTERLIST=Mirrors.masterlist

ifdef DEBUG
CFLAGS:=$(CFLAGS) -DDODEBUG
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

all: $(BIN) debian/choose-mirror-bin.templates

ifdef MIRRORLISTURL
# Freshen Mirrors.masterlist file, but allow failure.
$(MASTERLIST): force-try-update
	if [ "$$ONLINE" != n ]; then \
		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
		   test -s $@.new; then \
        		mv $@.new $@; \
		else \
			rm -f $@.new; \
		fi; \
	fi
force-try-update: ;

check-masterlist:
	@if [ -d .git ] && which git >/dev/null 2>&1; then \
		last=`git log --format=format:%at -- $(MASTERLIST)|head -1`; \
		now=`date +%s`; \
		if [ $$((now-last)) -gt $$((60*60*24*14)) ]; then \
			printf "\n\n*** WARNING: $(MASTERLIST) was last committed more\n"; \
			printf "*** than 2 weeks ago, maybe it needs an update?"; \
			echo; echo; echo "You can try the following command to run a sync, and use git diff/git commit:"; \
			echo "   make $(MASTERLIST)";\
			sleep 5; \
		fi; \
	fi
else
check-masterlist:
	:
endif

debian/iso_3166.tab:
	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab

debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist httplist $^

debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist httpslist $^

debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist ftplist $^

debian/port_architecture: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist port_architecture $^

debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab debian/port_architecture
	# Grab ISO codes from iso-codes package
	./get-iso-codes
	# Build the templates
	./mktemplates $(templates)

mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi

mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi

mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi

choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)

strip: $(BIN)
	$(STRIP) --remove-section=.comment --remove-section=.note $(BIN)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os $(CFLAGS) -DSMALL
small: clean strip debian/choose-mirror-bin.templates
	ls -l $(BIN)

ftp: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_FTP -DSMALL
ftp: clean strip
	ls -l $(BIN)

http: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTP -DSMALL
http: clean strip
	ls -l $(BIN)

https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
https: clean strip
	ls -l $(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
	rm -f demo demo.templates
	rm -rf debian/iso-codes/ debian/pobuild*/
	rm -f debian/iso_3166.tab
	rm -f debian/port_architecture

reallyclean: clean
	rm -f debian/choose-mirror-bin.templates
ifdef MIRRORLISTURL
	rm -f Mirrors.masterlist
endif

.PHONY: demo
demo: choose-mirror demo.templates
	ln -sf choose-mirror demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo

demo.templates: debian/choose-mirror-bin.templates
	po2debconf $< > $@

=== debian/changelog ===
choose-mirror (2.133-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.133 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2025 02:08:44 +0100

choose-mirror (2.133) unstable; urgency=medium

  * Update Mirrors.masterlist.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 08:43:21 +0200

choose-mirror (2.128-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.128 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 13 Jan 2025 22:35:25 +0100

choose-mirror (2.125-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.125 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 11 Nov 2023 17:29:23 +0100

choose-mirror (2.122-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.122 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 May 2023 12:37:47 +0100

choose-mirror (2.118-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.118 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 10 Mar 2023 18:14:07 +0100

choose-mirror (2.114-1kaisen) kaisen-packages; urgency=medium

  * Import the 2.114 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 21 Nov 2022 12:02:58 +0100

choose-mirror (2.113-2kaisen) kaisen-packages; urgency=medium

  * Define FR as default country for mirror
  * Remove all Debian mirrors in the masterlist file to add only the Kaisen mirror

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 17 Aug 2022 03:00:22 +0100

choose-mirror (2.113-1kaisen) kaisen-packages; urgency=medium

  * Import 2.113 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 15 Aug 2022 14:19:12 +0100

choose-mirror (2.112-1kaisen) kaisen-packages; urgency=medium

  * Import 2.112 version
  * Change Debian by Kaisen in translations

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 07 Nov 2021 23:59:04 +0200

choose-mirror (2.111-1kaisen) kaisen-packages; urgency=medium

  * Mirrors.masterlist configured to use Kaisen Linux repositories
  * Update http default template to define kaisenlinux repository as default mirror

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Oct 2021 07:07:04 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/choose-mirror
Vcs-Git: https://gitlab.com/kaisenlinux/packages/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.133devuan1

=== debian/changelog ===
choose-mirror (2.133devuan1) unstable; urgency=medium

  * Merge tag 2.133.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Jul 2025 19:38:43 +0100

## choose-mirror 2.133devuan1+genuen6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export USE_HTTP=1
-export USE_HTTPS=1
+#export USE_HTTPS=1
 #export USE_FTP=1
-USE_FTP_MANUAL=1
+#USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -33,8 +33,9 @@
 LIBS=-ldebconfclient -ldebian-installer
 STRIP=strip
 
-# Derivative distributions may want to change these.
-MIRRORLISTURL=https://mirror-master.debian.org/status/Mirrors.masterlist
+# The Genuen mirror list derived from panopticon. Processed by
+# import-panopticon-mirrors.pl to generate the correct format
+MIRRORLISTURL=https://packages.genuen.org/mirror_list.txt
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
@@ -49,9 +50,9 @@
 # Freshen Mirrors.masterlist file, but allow failure.
 $(MASTERLIST): force-try-update
 	if [ "$$ONLINE" != n ]; then \
-		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
+		if ./import-panopticon-mirrors.pl '$(MIRRORLISTURL)' > $@.new && \
 		   test -s $@.new; then \
-        		mv $@.new $@; \
+	       		mv $@.new $@; \
 		else \
 			rm -f $@.new; \
 		fi; \

=== debian/changelog ===
choose-mirror (2.133devuan1+genuen6) unstable; urgency=medium

  * Merge tag 2.133devuan1

 -- Aitor <aitor@genuen.org>  Sat, 27 Dec 2025 10:38:06 +0100

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
Maintainer: Aitor <aitor@genuen.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, libwww-perl, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser:  https://git.genuen.org/choose-mirror
Vcs-Git: https://git.genuen.org/choose-mirror.git
Origin: Genuen

Package: choose-mirror
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.133trisquel9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export USE_HTTP=1
-#export USE_HTTPS=1
+export USE_HTTPS=1
 #export USE_FTP=1
-#USE_FTP_MANUAL=1
+USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -33,10 +33,9 @@
 LIBS=-ldebconfclient -ldebian-installer
 STRIP=strip
 
-# The Genuen mirror list derived from panopticon. Processed by
-# import-panopticon-mirrors.pl to generate the correct format
-MIRRORLISTURL=https://packages.genuen.org/mirror_list.txt
-MASTERLIST=Mirrors.masterlist
+# Derivative distributions may want to change these.
+MIRRORLISTURL=https://gitlab.trisquel.org/trisquel/trisquel-packages/-/raw/master/extra/mirrors/Mirrors.masterlist
+MASTERLIST=Mirrors.masterlist.trisquel
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
@@ -50,9 +49,9 @@
 # Freshen Mirrors.masterlist file, but allow failure.
 $(MASTERLIST): force-try-update
 	if [ "$$ONLINE" != n ]; then \
-		if ./import-panopticon-mirrors.pl '$(MIRRORLISTURL)' > $@.new && \
+		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
 		   test -s $@.new; then \
-	       		mv $@.new $@; \
+        		mv $@.new $@; \
 		else \
 			rm -f $@.new; \
 		fi; \

=== debian/changelog ===
choose-mirror (2.133trisquel9) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 07:29:44 +0000

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Colin Watson <cjwatson@trisquel.org>, Cyril Brulebois <kibi@trisquel.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: https://salsa.trisquel.org/installer-team/choose-mirror
Vcs-Git: https://salsa.trisquel.org/installer-team/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.134

=== debian/changelog ===
choose-mirror (2.134) unstable; urgency=medium

  * Team upload

  * Change install path, to make package usrmerge-compliant.
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Serbian (sr.po) by Саша Петровић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 25 Nov 2025 19:47:27 +0100

## choose-mirror 2.134devuan1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export USE_HTTP=1
-export USE_HTTPS=1
+#export USE_HTTPS=1
 #export USE_FTP=1
-USE_FTP_MANUAL=1
+#USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -33,9 +33,10 @@
 LIBS=-ldebconfclient -ldebian-installer
 STRIP=strip
 
-# Derivative distributions may want to change these.
-MIRRORLISTURL=https://gitlab.trisquel.org/trisquel/trisquel-packages/-/raw/master/extra/mirrors/Mirrors.masterlist
-MASTERLIST=Mirrors.masterlist.trisquel
+# The Devuan mirror list derived from panopticon. Processed by
+# import-panopticon-mirrors.pl to generate the correct format
+MIRRORLISTURL=https://pkgmaster.devuan.org/mirror_list.txt
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
@@ -49,9 +50,9 @@
 # Freshen Mirrors.masterlist file, but allow failure.
 $(MASTERLIST): force-try-update
 	if [ "$$ONLINE" != n ]; then \
-		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
+		if ./import-panopticon-mirrors.pl '$(MIRRORLISTURL)' > $@.new && \
 		   test -s $@.new; then \
-        		mv $@.new $@; \
+	       		mv $@.new $@; \
 		else \
 			rm -f $@.new; \
 		fi; \

=== debian/changelog ===
choose-mirror (2.134devuan1) unstable; urgency=medium

  * Merge tag 2.134.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Nov 2025 07:12:54 +0000

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, libwww-perl, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser:  https://git.devuan.org/devuan/choose-mirror
Vcs-Git: https://git.devuan.org/devuan/choose-mirror.git
Origin: Devuan

Package: choose-mirror
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.135

=== debian/changelog ===
choose-mirror (2.135) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Estonian (et.po) by Priit Jõerüüt
  * Lao (lo.po) by BoneNI

 -- Cyril Brulebois <kibi@debian.org>  Mon, 26 Jan 2026 00:01:25 +0100

## choose-mirror 2.135devuan1

=== debian/changelog ===
choose-mirror (2.135devuan1) unstable; urgency=medium

  * Merge tag 2.135.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 27 Jan 2026 07:24:11 +0000
